SQLExec.DelimiterType (Apache Ant API)
Date: 2015-07-03

org.apache.tools.ant.taskdefs

## Class SQLExec.DelimiterType

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.SQLExec.DelimiterType

- Enclosing class:
    SQLExec

      public static class SQLExec.DelimiterType
      extends EnumeratedAttribute

  delimiters we support, "normal" and "row"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `NORMAL` The enumerated strings
    `static java.lang.String` | `ROW` The enumerated strings

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SQLExec.DelimiterType()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement.

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### NORMAL

          public static final java.lang.String NORMAL

      The enumerated strings
      See Also:
        Constant Field Values

    - #### ROW

          public static final java.lang.String ROW

      The enumerated strings
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SQLExec.DelimiterType

          public SQLExec.DelimiterType()

  - ### Method Detail

    - #### getValues

          public java.lang.String[] getValues()

      Description copied from class: `EnumeratedAttribute`
      This is the only method a subclass needs to implement.
      Specified by:
        `getValues` in class `EnumeratedAttribute`
      Returns:
        the enumerated strings